当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 24 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : [求助]升级完Ubuntu后忽然不能进入X了
帖子发表于 : 2006-01-07 17:55 

注册: 2006-01-07 17:42
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
菜鸟一只,昨天还不知道Linux具体是怎么回事。所以有什么很蠢的问题大家不要笑哦。

顺利学会Linux的分区,和XP双系统安装完Ubuntu,顺利进入图形界面。一切都顺利得一塌糊涂,感觉自己Linux之旅就此开始的时候,不幸发生了。

在linux下上网,学习linux设置,按照“新手快速设置”,升级安装自己的Ubuntu,在更新完自己的中文环境并注销后,没什么问题继续运行在Ubuntu的图形界面上。然后继续安装了java环境,更新的媒体播放环境,lumaQQ和BT等软件之后,重启,就此不能再进入图形界面,看小蓝屏英文的提示好像是什么设置出了问题。

加:小蓝屏窗口的提示为:
“ i cannot star the x server(your graphical interface ) it is likely that it is not see up correctly .would you like to view the server output to diagose the problem?
yes (or) no ”,然后按什么键都没有反应了。
---------------------刚才在另一个贴里看见一个朋友是因为装好输入法,并按照论坛文章的介绍注销以后出现了这个问题,而当时我没有出这个问题。是不是因为更新媒体播放环境更改了显示的设置呢。我又应当如何去在字符界面下更改。谢谢所有帮忙的朋友们了!

另外又忘了说,在更新媒体播放环境的时候,看见了终端文本里有很多带fail的行.不知道要不要紧,又没有关系.

在linux的文字界面下,我束手无策。请达人们帮忙。


最后由 kalashakala 编辑于 2006-01-07 18:37,总共编辑了 4 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-01-07 18:01 

注册: 2006-01-07 17:42
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
我安装linux的电脑,CPU是VIA samul 733MHZ(因此好像不能用什么AMD和INTEL芯片的核心加速器了)。显卡是主版集成的sis630\730。第一次安装的时候,什么都很完美,网络设置也很顺利,显卡显示也没有任何问题的。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-01-07 18:03 

注册: 2006-01-07 17:42
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
本来打算用LINUX在这个论坛发第一贴的,结果输入法那个时候还没有装。结果都安装好了,图形界面又进不去老。郁闷老。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-01-07 18:34 

注册: 2006-01-07 17:42
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
各位走过路过的朋友,不管你知不知道解决的办法,留下一些指点我的线索也好.~~再次谢咯~


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-01-08 9:06 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
论坛搜索Xorg.0.log和xorg.conf的帖子。


_________________
● 鸣学


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-01-08 11:43 

注册: 2006-01-07 17:42
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
谢谢eexpress!
做菜鸟真苦.

我已经察看过自己的xorg.conf和Xorg.0.log但如何在字符界面下将它们发送到论坛里来啊.

----不好意思几个基本命令都没有学好就想玩X了,我决定去认真学习也~少些沟通上的痛苦...没有X,正好让我更细致的了解 linux!


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-01-08 13:31 
头像

注册: 2005-06-30 15:46
帖子: 2245
地址: 成都
送出感谢: 0 次
接收感谢: 0 次
sudo dpkg-reconfigure xerver-xorg
重新配置一下。基本上一路回车,结束。再看吧


_________________
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-01-08 19:16 
头像

注册: 2005-06-21 20:24
帖子: 715
地址: 甘肃
送出感谢: 0 次
接收感谢: 0 次
eexpress 对新人好严厉阿
一般来说输入法和媒体设置都不会影响到x的 我强列的怀疑你是否是根据给nvidia的文档或者ati的文档重新设置了xorg.conf
解决的方法还是和楼上的大哥说法一样
sudo dpkg-reconfigure xserver-xorg


_________________
ubuntu 6.06
我是初学者 大家多多关照


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2006-01-08 19:39 

注册: 2006-01-07 17:42
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
Tenyears 写道:
sudo dpkg-reconfigure xerver-xorg
重新配置一下。基本上一路回车,结束。再看吧


dongmh 写道:
eexpress 对新人好严厉阿
一般来说输入法和媒体设置都不会影响到x的 我强列的怀疑你是否是根据给nvidia的文档或者ati的文档

重新设置了xorg.conf
解决的方法还是和楼上的大哥说法一样
sudo dpkg-reconfigure xserver-xorg




谢谢你们了 :D :D ,但不幸的是,在我输入sudo dpkg-reconfigure xserver-xorg后,才意识到问题可能很严重,根本不能进行configure,而且其中出现了这样几段文字:

perl:warning:setting locale failed.
perl:warning:Please check that your locale settings:
LANGUAGE="zh_CN:zh:en_US:en",
LC_ALL="zh_CN.UTF-8",
LANG="zh_CN.UTF-8"
are supported and installed on your system.
perl:warning:Failling back to the standard locale ("C")
locales is broken or not fully installed.

看情况后,只能自己试着输入"sudo dpkg-reconfigure locales"
仍然出现类似上面和"locales is broken or not fully installed"的提示.

因为是升级完才出现问题的,于是再试着输入
"sudo apt-get update
sudo apt-get dist-upgrade"试图检查更新.
结果大多数没有问题但出现了其中以下几行:

you might want to run 'apt-get -f install' to correct these...
the folloeing packakges have unmet dependencies:
firefox-gnome-support:Depends:firefox(=1.4.99+1.5rc3.dfsg-1ibuntu10) but it is not installed
mozilla-firefox:Depends:firefox but it is not installed
E:Unmet dependencies.Try using -f.

按照上面的提示输入"apt-get -f install"
出现以下:
the following extra packages will be installed:
firefox
Suggested packages:
latex-xft-fonts xprint
The following NEW packages will be installed:
firefox
0 upgraded,1 newly installed,0 to remove and 0 not upgraded.
929 not fully installed or removed.
Need to get 0B/7930kB of archives.
After unpacking 23.5MB of additional disk space will be used.
Do you want to continue[Y/n]?
Y
WARNING:The following packages cannot be autenticated!
firefox
Install these packages without verification[y/N]?
y

之后出现以下字段:
在运行这个以后:

Unpacking firefox (from...firefox_1.4.99+1.5rc3.dfsg-lubuntu10_i386.deb)...
dpkg:error processing /var/cache/apt/archives/firefox_1.4.99+1.5rc3.dfsg-1ubuntu10_1386.deb

(--unpack):
trying to overwrite '/usr/share/man/man1/mazilla-firefox.1.gz',which is also in package

mozilla-firefox

perl:warning:setting locale failed.
perl:warning:Please check that your locale settings:
LANGUAGE="zh_CN:zh:en_US:en",
LC_ALL="zh_CN.UTF-8",
LANG="zh_CN.UTF-8"
are supported and installed on your system.
perl:warning:Failling back to the standard locale ("C").
Errors were encountered while processing:
/var/cache/apt/archives/firefox_1.4.99+1.5rc3.dfsg-1ubuntu10_i386.deb
E:Sub-process /usr/bin/dpkg returned an error code (1)

回到原始命令行.

朋友们帮我看看那,到底是什么原因,看样子好像是firefox的问题!因为至此我才忽然想起来,在两次升级之后在X界面未重启之前,都有提示firefox找不到图标的情况出现,注销以后就不能进入X了!那么如何解决它?


最后由 kalashakala 编辑于 2006-01-09 12:42,总共编辑了 1 次

页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2006-01-08 19:48 
头像

注册: 2005-06-30 15:46
帖子: 2245
地址: 成都
送出感谢: 0 次
接收感谢: 0 次
我没主意了。

干脆试试卸掉firefox。
反正这个版本的也有点问题,mozilla有解压缩直接使用FF1.5。


_________________
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-01-08 19:56 

注册: 2006-01-07 17:42
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
怕问了很丢脸:怎么在文字下下载FF1.5啊-_-


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2006-01-08 19:56 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
不能进x,多半就是xorg.conf里面的load驱动部分。可以大概熟悉xorg,conf以后,就可以慢慢试了。less /var/log/Xorg.0.log|grep EE可以看下有没有EE错误。如果有,可以贴出来。
apt-get -f install的方法极少能解决问题。
lz没有说是不是从hoary升级到breezy。还是dapper。升级是有x出错的危险的。
另外建议,apt-get update和upgrade一下。基于怀疑没升级全。


_________________
● 鸣学


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2006-01-08 20:38 

注册: 2006-01-07 17:42
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
是从hoary升级到breezy.

我上面都贴过了,
现在出现的那个
try RUN 'apt-get -f install'的提示就是在输入"sudo apt-get update
sudo apt-get dist-upgrade"检查升级完整情况后出来的啊. :roll:

:idea: 现在又有了新的细节:我在VIA Samuel2 733MHZ的机器上安装了两遍,升级都如出一辙的失败,由于看到论坛上其他人没有这样的错误,以为是自己机器的问题,但是下午又在一台IBM T23的本本上,安装升级后也出现了一摸一样的问题,也就是说在两台不同的机器上全新安装升级了三次都是一样的毛病,因此现在我有点怀疑是自己操作的问题了.
当然我的操作都是按照新人快速设置里的介绍,只是我是用sudo -s来使用root的,我升级的所有操作都是在这个状态下进行的.听说有副作用,是这样吗?

less /var/log/Xorg.0.log|grep EE
还没有看过,这就去看~~~


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2006-01-08 21:50 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
你升级的时候,不要加入中文源,因为中文源中增加了FF1。5,而这个是从6.04的版本中重新编译的。因此造成依赖问题,所以你最好先升级完毕后,再加入中文源。


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2006-01-09 0:25 
头像

注册: 2005-08-02 7:23
帖子: 773
地址: 上海
送出感谢: 0 次
接收感谢: 1
引用:
谢谢你们了 Very Happy Very Happy ,但不幸的是,在我输入sudo dpkg-reconfigure xserver-xorg后,才意识到问题可能很严重,根本不能进行configure,而且其中出现了这样几段文字:

perl:warning:setting locale failed.
perl:warning:Please check that your locale settings:
LANGUAGE="zh_CN:zh:en_US:en",
LC_ALL="zh+CN.UTF-8",
LANG="zh+CN.UTF-8"
are supported and installed on your system.
perl:warning:Failling back to the standard locale ("C")
locales is broken or not fully installed.

看情况后,只能自己试着输入"sudo dpkg-reconfigure locales"
仍然出现类似上面和"locales is broken or not fully installed"的提示.


看看红色的地方.应该是"_",是你设置错了还是这里打错了?设置错的话肯定会出问题啊. :(


_________________
Ubuntu Intrepid
#P4 2.4
P4 2.4C
#1024MB
2048MB
#120G
500G+120G
Nvidia FX5700
#ATI9100 --拆了,受不了ATI的驱动.


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 24 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译